Announcement

Collapse
No announcement yet.

Problem sending float values

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem sending float values

    Hi all,

    I am testing a setup with Arduino uno with ethernet shield, API Version = API1.0.0.118 and IDE.
    I want to read gas and water consumption using reed contact. However, I am having trouble sending float values, values in HS don't have decimal places and are multiplied with 100. In my systems, comma is decimal mark, so probably linked with regional settings?

    In my log, I have:
    mrt-18 22:52:23 Arduino Plugin New UDP Text Recieved = 1 API 4 24.00
    mrt-18 22:52:23 Arduino Plugin Board 1, Device Ref = 726, API Input 4, Value = 2400, String = 2400liter
    mrt-18 22:52:23 Arduino Plugin Data Received:1 API 4 24.00
    mrt-18 22:52:23 Arduino Plugin Sent to IP:192.168.1.80 Port No:8900 = 1 h ,Ack Command
    mrt-18 22:52:23 Arduino Plugin Board 1, Device Ref = 724, API Input 3, Value = 2, String = 2m3
    mrt-18 22:52:23 Arduino Plugin New UDP Text Recieved = 1 API 3 0.02
    mrt-18 22:52:23 Arduino Plugin Data Received:1 API 3 0.02

    I created text value range with 2 decimal places as suggested here:
    https://forums.homeseer.com/showthread.php?t=171392

  • #2
    As in the thread you poster this was fixed in plugin V.139 so you would need to update.


    Greig.
    Zwave = Z-Stick, 3xHSM100ô 7xACT ZDM230, 1xEverspring SM103, 2xACT HomePro ZRP210.
    X10 = CM12U, 2xAM12, 1xAW10, 1 x TM13U, 1xMS13, 2xHR10, 2xSS13
    Other Hardware = ADI Ocelot + secu16, Global Cache GC100, RFXtrx433, 3 x Foscams.
    Plugings = RFXcom, ActiveBackup, Applied Digital Ocelot, BLDeviceMatrix, BLGarbage, BLLAN, Current Cost, Global Cache GC100,HSTouch Android, HSTouch Server, HSTouch Server Unlimited, NetCAM, PowerTrigger, SageWebcamXP, SqueezeBox, X10 CM11A/CM12U.
    Scripts =
    Various

    Comment


    • #3
      Hi Greig,

      You are right, also saw that.
      But update is not pushed to my system? Displayed version in 'manage plugins' is 1.00.131 and it shows no updates are available (N/A). Also in the list of plugins that can be installed, only version 131 is available.

      Is there a way to force the update to 139?

      Comment


      • #4
        If you look at the very bottom of the list of available plug-ins, there is a section for BETA. v1.0.0.147 is available there.

        Comment

        Working...
        X